<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: waterSurface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classwater_surface.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classwater_surface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">waterSurface Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the water surface.  
 <a href="classwater_surface.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for waterSurface:</div>
<div class="dyncontent">
<div class="center"><img src="classwater_surface__inherit__graph.png" border="0" usemap="#water_surface_inherit__map" alt="Inheritance graph"/></div>
<map name="water_surface_inherit__map" id="water_surface_inherit__map">
<area shape="rect" title="Models the concept of the water surface." alt="" coords="5,80,113,107"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="28,5,91,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for waterSurface:</div>
<div class="dyncontent">
<div class="center"><img src="classwater_surface__coll__graph.png" border="0" usemap="#water_surface_coll__map" alt="Collaboration graph"/></div>
<map name="water_surface_coll__map" id="water_surface_coll__map">
<area shape="rect" title="Models the concept of the water surface." alt="" coords="28,260,136,287"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="51,184,113,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a168ae86be77b2066f8981603fefaf718"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a168ae86be77b2066f8981603fefaf718">waterSurface</a> ()</td></tr>
<tr class="memdesc:a168ae86be77b2066f8981603fefaf718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="classwater_surface.html" title="Models the concept of the water surface.">waterSurface</a> class.  <a href="classwater_surface.html#a168ae86be77b2066f8981603fefaf718">More...</a><br /></td></tr>
<tr class="separator:a168ae86be77b2066f8981603fefaf718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa626eb73c254c3d94a38cab5f8978a5a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#aa626eb73c254c3d94a38cab5f8978a5a">~waterSurface</a> ()</td></tr>
<tr class="memdesc:aa626eb73c254c3d94a38cab5f8978a5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="classwater_surface.html" title="Models the concept of the water surface.">waterSurface</a> class.  <a href="classwater_surface.html#aa626eb73c254c3d94a38cab5f8978a5a">More...</a><br /></td></tr>
<tr class="separator:aa626eb73c254c3d94a38cab5f8978a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0de872419d5f60025eb0b060b6df3633"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a0de872419d5f60025eb0b060b6df3633">draw</a> (const std::string &amp;filename) const override</td></tr>
<tr class="memdesc:a0de872419d5f60025eb0b060b6df3633"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the water coordinates to a result file.  <a href="classwater_surface.html#a0de872419d5f60025eb0b060b6df3633">More...</a><br /></td></tr>
<tr class="separator:a0de872419d5f60025eb0b060b6df3633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49ab5ed2dbac566bd0b30e465b2bd5b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#ab49ab5ed2dbac566bd0b30e465b2bd5b">getCollisionInformation</a> () const override</td></tr>
<tr class="memdesc:ab49ab5ed2dbac566bd0b30e465b2bd5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step drone will be above water.  <a href="classwater_surface.html#ab49ab5ed2dbac566bd0b30e465b2bd5b">More...</a><br /></td></tr>
<tr class="separator:ab49ab5ed2dbac566bd0b30e465b2bd5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21bd94ef24b4c75e0327c709f3bc5fac"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a21bd94ef24b4c75e0327c709f3bc5fac">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const override</td></tr>
<tr class="memdesc:a21bd94ef24b4c75e0327c709f3bc5fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement drone will be above the water.  <a href="classwater_surface.html#a21bd94ef24b4c75e0327c709f3bc5fac">More...</a><br /></td></tr>
<tr class="separator:a21bd94ef24b4c75e0327c709f3bc5fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a052874e714972cf607e2aab7c91118f3"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a052874e714972cf607e2aab7c91118f3">kWaterSurfaceFile_</a> = &quot;solid/waterSurface.dat&quot;</td></tr>
<tr class="memdesc:a052874e714972cf607e2aab7c91118f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the water surface coordinates.  <a href="classwater_surface.html#a052874e714972cf607e2aab7c91118f3">More...</a><br /></td></tr>
<tr class="separator:a052874e714972cf607e2aab7c91118f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a4eb620c37a1e16b63a74b9834b3720"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a1a4eb620c37a1e16b63a74b9834b3720">waterLevel_</a> = 200</td></tr>
<tr class="memdesc:a1a4eb620c37a1e16b63a74b9834b3720"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable containing water surface level.  <a href="classwater_surface.html#a1a4eb620c37a1e16b63a74b9834b3720">More...</a><br /></td></tr>
<tr class="separator:a1a4eb620c37a1e16b63a74b9834b3720"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a9dadccbc538edfd3738e170bfe87a834"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a9dadccbc538edfd3738e170bfe87a834">kWaterModel_</a> = &quot;solid/waterSurfaceModel.dat&quot;</td></tr>
<tr class="memdesc:a9dadccbc538edfd3738e170bfe87a834"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the water coordinates model.  <a href="classwater_surface.html#a9dadccbc538edfd3738e170bfe87a834">More...</a><br /></td></tr>
<tr class="separator:a9dadccbc538edfd3738e170bfe87a834"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff71ccc7295259b564c3841d7fcf1bb"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwater_surface.html#a9ff71ccc7295259b564c3841d7fcf1bb">water_</a></td></tr>
<tr class="memdesc:a9ff71ccc7295259b564c3841d7fcf1bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of water coordinates.  <a href="classwater_surface.html#a9ff71ccc7295259b564c3841d7fcf1bb">More...</a><br /></td></tr>
<tr class="separator:a9ff71ccc7295259b564c3841d7fcf1bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00013">13</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a168ae86be77b2066f8981603fefaf718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a168ae86be77b2066f8981603fefaf718">&#9670;&nbsp;</a></span>waterSurface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">waterSurface::waterSurface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="classwater_surface.html" title="Models the concept of the water surface.">waterSurface</a> object. </p>

<p class="definition">Definition at line <a class="el" href="water_surface_8cpp_source.html#l00005">5</a> of file <a class="el" href="water_surface_8cpp_source.html">waterSurface.cpp</a>.</p>

</div>
</div>
<a id="aa626eb73c254c3d94a38cab5f8978a5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa626eb73c254c3d94a38cab5f8978a5a">&#9670;&nbsp;</a></span>~waterSurface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">waterSurface::~waterSurface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in set of water coordinates. </p>

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00048">48</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a21bd94ef24b4c75e0327c709f3bc5fac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21bd94ef24b4c75e0327c709f3bc5fac">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool waterSurface::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implements <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="water_surface_8cpp_source.html#l00046">46</a> of file <a class="el" href="water_surface_8cpp_source.html">waterSurface.cpp</a>.</p>

</div>
</div>
<a id="a0de872419d5f60025eb0b060b6df3633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0de872419d5f60025eb0b060b6df3633">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void waterSurface::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="water_surface_8cpp_source.html#l00026">26</a> of file <a class="el" href="water_surface_8cpp_source.html">waterSurface.cpp</a>.</p>

</div>
</div>
<a id="ab49ab5ed2dbac566bd0b30e465b2bd5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49ab5ed2dbac566bd0b30e465b2bd5b">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void waterSurface::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00059">59</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9dadccbc538edfd3738e170bfe87a834"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9dadccbc538edfd3738e170bfe87a834">&#9670;&nbsp;</a></span>kWaterModel_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string waterSurface::kWaterModel_ = &quot;solid/waterSurfaceModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00017">17</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<a id="a052874e714972cf607e2aab7c91118f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a052874e714972cf607e2aab7c91118f3">&#9670;&nbsp;</a></span>kWaterSurfaceFile_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string waterSurface::kWaterSurfaceFile_ = &quot;solid/waterSurface.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00028">28</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<a id="a9ff71ccc7295259b564c3841d7fcf1bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff71ccc7295259b564c3841d7fcf1bb">&#9670;&nbsp;</a></span>water_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; waterSurface::water_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00022">22</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<a id="a1a4eb620c37a1e16b63a74b9834b3720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a4eb620c37a1e16b63a74b9834b3720">&#9670;&nbsp;</a></span>waterLevel_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double waterSurface::waterLevel_ = 200</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="water_surface_8hh_source.html#l00033">33</a> of file <a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="water_surface_8hh_source.html">waterSurface.hh</a></li>
<li><a class="el" href="water_surface_8cpp_source.html">waterSurface.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classwater_surface.html">waterSurface</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
